<template>
  <div>
    <div class="mainPage"><top-menu /></div>
    <div class="q-pa-md">
      <q-table
        :data="data"
        :pagination.sync="pagination"
        :columns="columns"
        flat
        bordered
      >
        <template v-slot:body="props">
          <q-tr :props="props">
            <q-td key="no" :props="props" style="width: 50px">{{
              props.row.no
            }}</q-td>
            <q-td key="username" :props="props">{{ props.row.username }}</q-td>
            <q-td key="name" :props="props"
              >{{ props.row.firstname }} {{ props.row.lastname }}</q-td
            >
            <q-td key="email" :props="props">{{ props.row.email }}</q-td>
            <q-td key="gender" :props="props">{{ props.row.gender }}</q-td>
            <q-td key="city" :props="props">{{ props.row.city }}</q-td>
            <q-td key="country" :props="props">{{ props.row.country }}</q-td>
            <q-td key="jobtitle" :props="props">{{ props.row.jobtitle }}</q-td>
            <q-td key="organization" :props="props">{{
              props.row.organization
            }}</q-td>
            <q-td key="score" :props="props">
              <span
                v-if="props.row.score > 0"
                class="examinee-score"
                @click="openScore(props.row.id)"
              >
                {{ props.row.score }}</span
              >
              <span v-else>-</span>
            </q-td>
          </q-tr>
        </template>
      </q-table>
    </div>
  </div>
</template>

<script>
import axios from "axios";
import topMenu from "../components/topmenu.vue";
export default {
  components: {
    topMenu,
  },
  data() {
    return {
      pagination: {
        rowsPerPage: 100,
      },
      columns: [
        {
          name: "no",
          label: "no",
          align: "center",
        },
        { name: "username", label: "username", align: "center" },
        { name: "name", label: "name", align: "center" },
        { name: "email", label: "email", align: "center" },
        { name: "gender", label: "gender", align: "center" },
        { name: "city", label: "city/town", align: "center" },
        { name: "country", label: "country", align: "center" },
        { name: "jobtitle", label: "job title", align: "center" },
        { name: "organization", label: "organization", align: "center" },
        { name: "score", label: "score", align: "center" },
      ],
      data: [],
    };
  },
  methods: {
    openScore(id) {
      alert(id);
    },
    async loadUser() {
      let key = this.$q.localStorage.getItem("key");
      let dataSend = { key: key };
      let url = this.serverpath + "loaduser.php";
      let res = await axios.post(url, JSON.stringify(dataSend));
      if (res.data == "go to login") {
        this.$q.localStorage.clear();
        this.$router.push("/");
      } else {
        this.data = res.data;
        this.data.forEach((item, index) => {
          item.no = index + 1;
        });
        this.data.reverse();
      }
    },
  },
  mounted() {
    this.loadUser();
  },
};
</script>

<style lang="scss" scoped>
.examinee-score {
  text-decoration: underline;
  cursor: pointer;
}
</style>
